SmapStratum.LineInfo (Apache Tomcat 9.0.111 API Documentation)
Description: declaration: package: org.apache.jasper.compiler, class: SmapStratum, class: LineInfo

# Class SmapStratum.LineInfo

java.lang.Object
org.apache.jasper.compiler.SmapStratum.LineInfo

Enclosing class:
  `SmapStratum`

public static class SmapStratum.LineInfo extends Object
Represents a single LineSection in an SMAP, associated with a particular stratum.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getMaxOutputLineNumber()`
  `String`
  `getString()`
  `void`
  `setInputLineCount(int inputLineCount)`
  `void`
  `setInputStartLine(int inputStartLine)`
  `void`
  `setLineFileID(int lineFileID)`
  Sets lineFileID.
  `void`
  `setOutputLineIncrement(int outputLineIncrement)`
  `void`
  `setOutputStartLine(int outputStartLine)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LineInfo

    public LineInfo()

- ## Method Details

  - ### setInputStartLine

    public void setInputStartLine(int inputStartLine)

  - ### setOutputStartLine

    public void setOutputStartLine(int outputStartLine)

  - ### setLineFileID

    public void setLineFileID(int lineFileID)
    Sets lineFileID. Should be called only when different from that of prior LineInfo object (in any given context) or 0 if the current LineInfo has no (logical) predecessor. `LineInfo` will print this file number no matter what.
    Parameters:
      `lineFileID` - The new line file ID

  - ### setInputLineCount

    public void setInputLineCount(int inputLineCount)

  - ### setOutputLineIncrement

    public void setOutputLineIncrement(int outputLineIncrement)

  - ### getMaxOutputLineNumber

    public int getMaxOutputLineNumber()

  - ### getString

    public String getString()
    Returns:
      the current LineInfo as a String, print all values only when appropriate (but LineInfoID if and only if it's been specified, as its necessity is sensitive to context).

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`